Package com.scriptel.proscript

## Class ResourceText

- java.lang.Object
- - com.scriptel.proscript.Resource
  - - com.scriptel.proscript.ResourceText

-     public class ResourceText
      extends Resource

  This class represents a static text resource stored in a device.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceText()` | Public constructor
    `ResourceText​(int resourceNumber, java.lang.String text)` | Private constructor for a static text resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getText()` | Gets the static text as a String.
    `void` | `setText​(java.lang.String text)` | Sets the static text using a String.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class com.scriptel.proscript.Resource

      `getResourceNumber, setResourceNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceText

          public ResourceText()

      Public constructor

    - #### ResourceText

          public ResourceText​(int resourceNumber,
                              java.lang.String text)

      Private constructor for a static text resource.
      Parameters:
        `resourceNumber` - Resource id.
        `text` - Text featured in the static text resource.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `Resource`
      Returns:
        Human readable string.

    - #### getText

          public java.lang.String getText()

      Gets the static text as a String.
      Returns:
        static text

    - #### setText

          public void setText​(java.lang.String text)

      Sets the static text using a String.
      Parameters:
        `text` - static text